Межсайтовый скриптинг в 1-Search

Дата публикации:
07.12.2005
Всего просмотров:
1819
Опасность:
Низкая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
1-Search 1.x
Уязвимые версии: 1-Search 1.80 и более ранние версии

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "q" сценария "1search.cgi". Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный HTML код в браузере жертвы в контексте безопасности уязвимого сайта. Пример:

/1search.cgi?q=[XSS]&boolean=ALL&case=

URL производителя: www.1-script.com/1_search/

Решение: Способов устранения уязвимости не существует в настоящее время.

Источник:

Ссылки: 1- Search XSS vuln.

или введите имя

CAPTCHA